Subject: [alpine-aports] [PATCH] testing/bitlbee-facebook: new package

From: Marvin Steadfast <[email-masked]>
Date: Tue, 5 Apr 2016 13:06:06 +0000

---
 testing/bitlbee-facebook/APKBUILD | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 testing/bitlbee-facebook/APKBUILD

diff --git a/testing/bitlbee-facebook/APKBUILD b/testing/bitlbee-facebook/APKBUILD
new file mode 100644
index 0000000..c42c968
--- /dev/null
+++ b/testing/bitlbee-facebook/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Marvin Steadfast <[email-masked]>
+# Maintainer: Marvin Steadfast <[email-masked]>
+pkgname=bitlbee-facebook
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="Facebook protocol plugin for BitlBee"
+url="https://github.com/jgeboski/bitlbee-facebook"
+arch="all"
+license="GPL"
+depends="bitlbee json-glib"
+depends_dev=""
+makedepends="$depends_dev bitlbee-dev autoconf automake libtool json-glib-dev"
+install=""
+subpackages=""
+source="https://github.com/jgeboski/bitlbee-facebook/releases/download/v${pkgver}/bitlbee-facebook-${pkgver}.tar.gz"
+
+_builddir="$srcdir/bitlbee-facebook-${pkgver}"
+build() {
+	cd "$_builddir"
+	./autogen.sh || return 1
+	./configure || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="22e8044e7678e287534877dadc34fa94  bitlbee-facebook-1.0.0.tar.gz"
+sha256sums="ab3407c3b2f2d5cf90ef2a8b6f9da1ab5833cbad58cdde26a8a8847a48afd795  bitlbee-facebook-1.0.0.tar.gz"
+sha512sums="14cf6263c12636465a73f6fa442083af2c2f7bddc101fca84a8a6cec4b8c58cd0d5e0aea3901c25bd27ea7f2eb5b5fb65543a1501db948066cc780f52339a94e  bitlbee-facebook-1.0.0.tar.gz"
-- 
2.7.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---